// -----------------------------------------------------------------------------
//
//   ABOUT: Model in ASE (ASCII Scene Exporter) format
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//    DATE: 05-Sep-2016
//
// -----------------------------------------------------------------------------


// Base shader (used from other shaders) ---------------------------------------

textures/jul_teleport1/base1
{
    q3map_lightmapSampleSize 4
    q3map_lightmapFilterRadius 8 0
}


// Teleport1 -------------------------------------------------------------------

textures/jul_teleport1/tele_floor
{
    qer_editorImage models/jul_teleport1/tele_floor.tga

    q3map_baseShader textures/jul_teleport1/base1

    dpGlossIntensityMod 2

    {
        map models/jul_teleport1/tele_floor.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/jul_teleport1/tele_trim1
{
    qer_editorImage models/jul_teleport1/tele_trim1.tga

    q3map_baseShader textures/jul_teleport1/base1

    dpGlossIntensityMod 1

    {
        map models/jul_teleport1/tele_trim1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/jul_teleport1/tele_trim2
{
    qer_editorImage models/jul_teleport1/tele_trim2.tga

    q3map_baseShader textures/jul_teleport1/base1

    dpGlossIntensityMod 2

    q3map_lightRGB 1 0.843137 1       // 255 215 255 RGB (16% sat.)
    q3map_lightSubdivide 64
    q3map_surfaceLight 125

    {
        map models/jul_teleport1/tele_trim2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Effects: a light beam and 3 moving rings

textures/jul_teleport1/effect_beam
{
    qer_editorImage models/jul_teleport1/effect_beam_qer.jpg
    qer_trans 0.50

    q3map_lightRGB 0.325490 0.952941 1       // 83 243 255 RGB (67% sat.)
    q3map_lightSubdivide 64
    q3map_surfaceLight 125

    cull none

    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    // looks better than blendFunc blend (GL_SRC_ALPHA  GL_ONE_MINUS_SRC_ALPHA)
    {
        map models/jul_teleport1/effect_beam.tga
        rgbGen identity
        blendFunc GL_SRC_ALPHA GL_ONE
    }
}

textures/jul_teleport1/effect_ring1
{
    qer_editorImage models/jul_teleport1/effect_ring.tga
    qer_trans 0.50

    // deformVertexes move x y z  <func>  <base> <amplitude> <phase> <freq>
    //  The product of the function modifies the values x, y and z

    deformVertexes move 0 0 64 sin 0 1 0.20 0.6   // 20% phase shift
 
    cull none

    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    {
        map models/jul_teleport1/effect_ring.tga
        rgbGen identity
        blendFunc blend
    }
}

textures/jul_teleport1/effect_ring2
{
    qer_editorImage models/jul_teleport1/effect_ring.tga
    qer_trans 0.50

    deformVertexes move 0 0 64 sin 0 1 0.10 0.6   // 10% phase shift

    cull none

    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    {
        map models/jul_teleport1/effect_ring.tga
        rgbGen identity
        blendFunc blend
    }
}

textures/jul_teleport1/effect_ring3
{
    qer_editorImage models/jul_teleport1/effect_ring.tga
    qer_trans 0.50

    deformVertexes move 0 0 64 sin 0 1 0.0 0.6    // 0% phase shift

    cull none

    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm nolightmap

    {
        map models/jul_teleport1/effect_ring.tga
        rgbGen identity
        blendFunc blend
    }
}


// EOF ------------------------------- EOF --------------------------------- EOF
